com.h3c.util.persistence.cassandra.entitymgr

## Class DynamicStorable<I extends Serializable,C>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.entitymgr.DynamicStorable<I,C>

- Type Parameters:
    `I` - Type of the Row key
    `C` - Type of the Column Names
  All Implemented Interfaces:
    Storable<I>

      public class DynamicStorable<I extends Serializable,C>
      extends Object
      implements Storable<I>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicStorable(I id, LinkedHashMap<C,Object> map)` Constructor for DynamicStorable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LinkedHashMap<C,Object>` | `getData()` Returns the column data as map.
    `I` | `getId()` Returns id of row key
    `void` | `setData(LinkedHashMap<C,Object> map)` Sets column data.
    `void` | `setId(I id)` Sets id of Row key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicStorable

          public DynamicStorable(I id,
                         LinkedHashMap<C,Object> map)

      Constructor for DynamicStorable.
      Parameters:
        `id` - I
        `map` - LinkedHashMap

  - ### Method Detail

    - #### getId

          public I getId()

      Returns id of row key
      Specified by:
        `getId` in interface `Storable<I extends Serializable>`
      Returns:
        I
      See Also:
        `Storable.getId()`

    - #### getData

          public LinkedHashMap<C,Object> getData()

      Returns the column data as map.
      Returns:
        LinkedHashMap

    - #### setId

          public void setId(I id)

      Sets id of Row key.
      Parameters:
        `id` - I

    - #### setData

          public void setData(LinkedHashMap<C,Object> map)

      Sets column data.
      Parameters:
        `map` - LinkedHashMap

Copyright © 2014. All Rights Reserved.